Bug 429225 - USB mouse disabled on first boot
USB mouse disabled on first boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pyxf86config (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-17 19:46 EST by Vladimir Kosovac
Modified: 2009-07-14 13:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:33:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
post-install config (808 bytes, text/plain)
2008-01-24 13:11 EST, Vladimir Kosovac
no flags Details
with "synaptics" commented out (34.56 KB, text/plain)
2008-01-24 13:16 EST, Vladimir Kosovac
no flags Details
auto-detect (no xorg.conf) (38.87 KB, text/plain)
2008-01-24 13:28 EST, Vladimir Kosovac
no flags Details

  None (edit)
Description Vladimir Kosovac 2008-01-17 19:46:05 EST
Description of problem:

USB optical mouse is disabled on first boot following the rawhide install
(Compaq Presario M2000 laptop). Synaptics CorePointer is forced through
ServerLayout section in xorg.xonf:

InputDevice  "Synaptics"  "CorePointer"

If commented out, USB mouse starts working. Touchpad is operational throughout.

Version-Release number of selected component (if applicable):

pyxf86config-0.3.34-1.fc8


How reproducible:

always, I guess

Steps to Reproduce:

1. install rawhide
2. reboot
  
Actual results:

No USB mouse

Expected results:

Working USB mouse

Additional info:
Comment 1 Matěj Cepl 2008-01-24 12:24:20 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Vladimir Kosovac 2008-01-24 13:11:25 EST
Created attachment 292831 [details]
post-install config
Comment 3 Vladimir Kosovac 2008-01-24 13:16:34 EST
Created attachment 292832 [details]
with "synaptics" commented out
Comment 4 Vladimir Kosovac 2008-01-24 13:28:50 EST
Created attachment 292834 [details]
auto-detect (no xorg.conf)

Auto-detect lodaed defaults work OK. If I run 'system-config-display' to
generate the file, synaptics pointer is forced again and optical mouse
disabled.

As a side note - new radeon driver defaults to 800X600 with this card/screen
combo, while ati sets resolution correctly. Is this known? Should I file
another bz?

Thanks
Comment 5 J. Davis 2008-02-15 10:18:20 EST
I have this bug as well as Vladimir.
Commenting out the pointer gets the usb mouse working properly.
Comment 6 rizo83 2008-02-21 16:29:50 EST
have this bug as well on an ASUS S62E/Z62E w/ Fedora 9 KDE install via the live 
disc
Comment 7 Bug Zapper 2008-05-14 00:48:18 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-06-09 19:23:35 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 13:33:31 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.